#ifndef JOINCHANNELREQUEST_HPP
#define JOINCHANNELREQUEST_HPP

#include "../Request.hpp"
#include <string>

namespace mole {
    namespace ctx {
	class JoinChannelRequest : public Request {

	    public :
		JoinChannelRequest();
		~JoinChannelRequest();

		bool init(std::string);

	    protected :
		std::string channelName;

	    private :

	};

    } // end ctx

} // end mole

#endif
